POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-06-09T05:18:16.9996587+00:00",
"active": true,
"department_item_id": "07e56ad7-9e27-4fc3-bb58-72c812feb77f",
"id": "d3f5e025-a6b6-4ee8-a2e6-a75df6b8661d",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-06-09T05:18:16.9996587+00:00</date> <department_item_id>07e56ad7-9e27-4fc3-bb58-72c812feb77f</department_item_id> <id>d3f5e025-a6b6-4ee8-a2e6-a75df6b8661d</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"bb9886f3-5ba5-4309-8e35-4495fe060a3d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">bb9886f3-5ba5-4309-8e35-4495fe060a3d</guid>